{% extends "base_wagtail_page.html" %}

{% load i18n %}
{% load static %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}

{% block extra_css %}
    <link rel="stylesheet" type="text/x-scss" href="{% static 'home/scss/home.scss' %}">
{% endblock %}

{% block body_class %}template-homepage{% endblock %}

{% block content %}
    <div class="banner bg-info">
        <div class="container">
            <div class="position-relative text-center">
                <h2 class="intro position-absolute p-3">{{ page.intro }}</h2>
                {% image page.banner_image fill-2000x900 class="img-fluid" %}
            </div>
        </div>
    </div>
    <div class="container">
        {{ page.body|richtext }}
    </div>
    <div class="bg-darker-light py-4">
        <div class="container">
            <div class="row">
                <div class="col">
                    {{ page.link_to_blog_intro|richtext }}
                    <div class="d-flex justify-content-center">
                        {% if page.specific.link_to_blog %}
                            <a href="{{ page.specific.link_to_blog.slug }}" class="btn btn-secondary" role="button">{{ page.specific.link_to_blog.title }}</a>
                        {% else %}
                            <a href="#" class="btn btn-secondary disabled" role="button">{% trans 'Coming soon...' %}</a>
                        {% endif %}
                    </div>
                </div>
                <div class="col">
                    {{ page.link_to_roadbook_intro|richtext }}
                    <div class="d-flex justify-content-center">
                        {% if page.specific.link_to_roadbook %}
                            <a href="{{ page.specific.link_to_roadbook.slug }}" class="btn btn-secondary" role="button">{{ page.specific.link_to_roadbook.title }}</a>
                        {% else %}
                            <a href="#" class="btn btn-secondary disabled" role="button">{% trans 'Coming soon...' %}</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
